Modchip with update 4.2 - Can someone can make this clear?

Discussion in 'Wii - Hacking' started by ZeroX_9876, Oct 1, 2009.

  1. ZeroX_9876
    OP

    Newcomer ZeroX_9876 Member

    Joined:
    Sep 20, 2007
    Messages:
    20
    Country:
    Canada
    I got a Wasabi DX and I want to know if it's safe to update to 4.2?
    I heard rumors about a 003 error code but just with the old wiikey.
    I don't have any kind of homebrew, just a modchip installed via a wii clip.
    Does any game require 4.2 to run?
    I also heard about an apps that can remove the upgrade files on an wii iso file, what's the name of this application?

    If someone could post all those answers, it would be very helpful to a lot of users with modchips.

    Thanks,
    Mike
     
  2. FenrirWolf

    Member FenrirWolf GBAtemp Psycho!

    Joined:
    Nov 19, 2008
    Messages:
    4,343
    Location:
    Beaverton, OR
    Country:
    United States
    Error 003 has hit some modchips (I don't know which ones) and also affects region-changed consoles.

    No game requires 4.2. Heck, no game has been released with anything beyond 3.4 yet.

    BrickBlocker is what removes updates from ISOs.

    I advise that you don't update to 4.2 since you can't yet be sure if your chip will give you Error 003 or not.
     
  3. mk123a

    Newcomer mk123a Advanced Member

    Joined:
    Aug 19, 2006
    Messages:
    70
    Country:
    I would not upgrade to 4.2 even with a modchip. There has been many reports where import games are not working anymore even with a modchip and its region freeing ability. You can still play burned games from your own region, but there are lots of reports that other region games are not working. Some how the update was able to disable the ability of region free gaming, even if your modchip has that option built in..
     
  4. ZeroX_9876
    OP

    Newcomer ZeroX_9876 Member

    Joined:
    Sep 20, 2007
    Messages:
    20
    Country:
    Canada
    Ok thanks a lot for the fast reply!
    I will wait for more information before updating it and anyway, if I remove the update files from every game, it won't be a problem. it's strange that just a system update can messed up an actual hardware mod. the psp have been modded since a long time and the only way sony found to block this was to change their motherboard manufacturing.

    Anyway thanks a lot for the info, will do as said! [​IMG]
     
  5. Karpo_007

    Newcomer Karpo_007 Member

    Joined:
    Sep 13, 2009
    Messages:
    18
    Country:
    Finland
    I updated every IOS except 36 (even patched 36 gives errors in anytitledeleter) and finally installed menu 4.2. PAL Wii and ntsc backups wont load anymore with Wiikey2. I guess I'm going back to 4.0.
     

Share This Page